> ## Name

> TexGenREyePlane - 3D API tex gen R eye plane

> ## Usage

> TexGenREyePlane[i] = float4(p1, p2, p3, p4)

> ## Valid Enumerants

> p1, p2, p3, p4: floating point values

> ## Description

> Specify the texture coordinate generation parameters for the R eye plane. See the GL_EYE_PLANE description on the OpenGL glTexGen manual page for details.

> The standard reset callback sets the TexGenREyePlane[i] state to float4(0, 0, 0, 0).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> Not applicable.

> ## See Also

> TexGenREnable, TexGenRMode, TexGenRObjectPlane, TexGenQEyePlane, TexGenSEyePlane, TexGenTEyePlane